Subject: Re: Sieve Clarifications

From: Tim Showalter <[email-masked]>
Date: Tue, 27 May 1997 15:34:12 -0400 (EDT)

On Wed, 30 Apr 1997, Chris Newman wrote:
> On Wed, 30 Apr 1997, Tim Showalter wrote:
> > On Wed, 30 Apr 1997, Chris Newman wrote:
> > 
> > > Section 2.5.2.
> > > 
> > > Also a useful section.  Need to add comments about how to RFC 822 quoting
> > > of addresses is dealt with.  Remember that junk like:
> > >    <"foo"  .  "bar"@baz.biff>
> > > is a legal RFC 822 address, but for comparison one probably wants to treat
> > > it as <[email-masked]>
> > 
> > I'm not sure about this.  While a comparison in addresses should make them
> > the same, a comparision of From headers might treat them differently.  In
> > the document as it stands, there are no direct comparisons of addresses.  At
> > least, I didn't intend any.
> 
> Sorry, I was looking at notes on my document that I wrote as I
> read it.  Comparison isn't so big a deal actually. More important is the 
> addresses allowed in commands like "forward".  The problem is that 822
> syntax is different from 821 syntax.  It also includes a lot of 
> syntactical junk that's completely unnecessary.  If we want to make this
> easy for implementors, I think we should require addresses in some
> canonical form.
> 
> Choice 1:
> 
> Addresses must meet both 821 and 822 quoting rules.  Specifically, it's
> either <local-part@domain> or <"local-part"@domain>.  Quotes around
> name-components, whitespace and embedded comments should be disallowed.
> 
> Choice 2:
> 
> Address must be in unquoted form.  This means you have just
> <local-part@domain>.  To convert to quoted form, one looks for the
> rightmost "@" sign and has to quote the local-part if it contains any
> specials other than "." (e.g. "@" is particularly nasty in local part).

Sorry for the very delayed response on this; I prefer choice 2 only because
it seems cleaner to me to users.  (Wording for the affected section would be
appreciated.)

Tim

-- 
                                           Tim Showalter [email-masked]